Help install QT 5.10 on Mint 19.1

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Dukenukemx
Level 3
Level 3
Posts: 161
Joined: Thu Nov 24, 2011 1:06 am

Help install QT 5.10 on Mint 19.1

Post by Dukenukemx » Fri Feb 08, 2019 2:05 pm

I need helping updating QT 5.9.5 to 5.10, but I've not had luck. I downloaded the installer and it put a ton of files in /opt/Qt5.10.0 but qmake -v shows 5.9.5. I've tried editing /usr/lib/x86_64-linux-gnu/qtchooser/default.conf to this.

Code: Select all

/opt/Qt5.10.0/5.10.0/gcc_64/bin
/opt/Qt5.10.0/5.10.0/gcc_64/lib
Then I ran qtchooser -print-env but it can't find anything so I have to revert my changes. How do I get QT 5.10 working?

Dukenukemx
Level 3
Level 3
Posts: 161
Joined: Thu Nov 24, 2011 1:06 am

Re: Help install QT 5.10 on Mint 19.1

Post by Dukenukemx » Tue Feb 12, 2019 9:24 pm

I found a solution. I installed this PPA and that allowed me to compile RPCS3.

https://launchpad.net/~beineri/+archive ... 2.0-bionic

sudo add-apt-repository ppa:beineri/opt-qt-5.12.0-bionic
sudo apt-get update
sudo apt install qt512-meta-minimal

Post Reply

Return to “Software & Applications”